<script setup lang="ts">
const props = defineProps({
  imageLink: String,
  title: String,
  author: String,
  language: String,
  description: String,
  _id: String
})
</script>

<template>
<button class="transition ease-in-out hover:scale-90 hover:bg-neutral-200 drop-shadow flex flex-row corpusbox w-full m-1 animate__animated animate__fadeIn border border-neutral-400">
        <img :src = 'imageLink' alt="Image" class="w-64 h-32" style="object-fit: cover;">
        <div class="p-2">
                <p class="text-xl text-neutral-600">{{title}}</p>
                <div class="text-sm flex flex-row text-neutral-500">
                <h3>{{author}}, {{language}}, {{_id}}</h3>
                </div>
                <p class="text-base text-black border-t border-neutral-400">
                {{description}}
                </p>
        </div>
</button>
</template>

<style>
.corpusbox {
        @apply overflow-hidden;
        text-align: left;
        background: #ffffff;
        border-radius: 15px;
}
.corpusbox:active {
        background-color: rgb(226, 226, 226);
}
</style>
